[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TUserCheckBoxBitmapEvent

Specifies an event handler signalled to get the user-supplied bitmap for a check box cell.

## Declaration

Source position: grids.pas line 373

`type TUserCheckBoxBitmapEvent = procedure(`
`Sender: TObject;`
`const aCol: Integer;`
`const aRow: Integer;`
`const CheckedState: TCheckBoxState;`
`var ABitmap: TBitmap`
`) of object;`

## Arguments

`Sender` |  | Object (TCustomGrid) for the event notification.
`aCol` |  | Column number for the cell with the check box.
`aRow` |  | Row number for the cell with the check box.
`CheckedState` |  | Checked state for the check box.
`ABitmap` |  | Bitmap image with the state needed for the check box cell.

## Description

TUserCheckBoxBitmapEvent is the type used for the OnUserCheckboxBitmap property in TCustomGrid.

## See also

TCustomGrid.OnUserCheckboxBitmap |  | Event handler signalled to get the user-defined bitmap used for a check box cell.